%define debug_package	%{nil}

Name: vc
Summary: Ease explicit vectorization of C++ code
Version: 1.3.0
Group: Development/C++
Release: %mkrel 1
License: BSD
Source: https://github.com/VcDevel/Vc/releases/download/1.3.0/Vc-%{version}.tar.xz
Url: https://github.com/VcDevel/Vc
BuildRequires: cmake
#ExclusiveArch:	%{ix86} x86_64

%description
Vc is a free software library to ease explicit vectorization of C++ code.
It has an intuitive API and provides portability between different
compilers and compiler versions as well as portability between different
vector instruction sets.

%prep
%setup -qn Vc-%{version}

%build
%cmake -DBUILD_TESTING=OFF
%make

%install
%makeinstall_std -C build

%files
%{_includedir}/Vc
%{_libdir}/libVc.a
%{_libdir}/cmake/Vc


%changelog
* Sat Feb 11 2017 adrianomorselli <adrianomorselli> 1.3.0-1uplos2017
- rebuild

* Fri Dec 30 2016 pp <pp> 1.3.0-1pclos2017
- update

* Mon Sep 16 2013 pinoc <vogtpet at gmail.com> 0.7.2-1pclos2013
- imported package vc

